package com.gh.common.chain

import android.content.Context
import com.gh.common.dialog.CertificationDialog
import com.gh.gamecenter.entity.GameEntity

class CertificationHandler : ChainHandler() {

    override fun handleRequest(context: Context, gameEntity: GameEntity) {
        CertificationDialog.showCertificationDialog(context, gameEntity) {
            if (hasNext()) {
                getNext()?.handleRequest(context, gameEntity)
            } else {
                processEndCallback?.invoke(null)
            }
        }
    }
}